# vim: set sw=4 ts=4 et nu:

Name:               burncdda
Version:            1.8.3
Release:            3.1
Summary:            Console Frontend to Burn Audio Media
Source:             http://prdownloads.sourceforge.net/burncdda/burncdda-%{version}.tar.gz
Source1:            %{name}.desktop
Patch1:             burncdda-paths.patch
URL:                http://burncdda.sourceforge.net/
Group:              Productivity/Multimedia/CD/Record
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
Provides:           burnCDDA = %{version}
BuildArch:          noarch
Requires:           dialog
Requires:           /usr/bin/cdrecord
Requires:           cdrdao
Requires:           MPlayer
Recommends:         normalize
Recommends:         mp3_check
BuildRequires:      update-desktop-files
# not actually required for build, but used to check whether dependencies
# are available in the repository at runtime:
BuildRequires:      dialog
%if 0%{?suse_version} <= 1230
BuildRequires:      cdrecord
%else
BuildRequires:      cdrkit-cdrtools-compat
%endif
BuildRequires:      cdrdao
BuildRequires:      MPlayer
BuildRequires:      normalize
BuildRequires:      mp3_check
BuildRequires:      sox

%description
burnCDDA is a console frontend to cdrdao, cdrecord, MPlayer, mpg321, oggdec,
mppdec, flac, normalize, and mp3_check.

It can be used to create audio CDs from an M3U playlist (the playlist format of
XMMS and amaroK) or from files inside a directory.

It supports MP3, OGG Vorbis, Musepack, FLAC, WMA, M4A, and WAV files, and it
might be the easiest way to copy an audio CD.

%prep
%setup -q
%patch1

# remove shebang from all .func files:
for f in *.func; do
    %__perl -i -n -e 'print unless $.==1 and /^#!/' "$f"
done

%build

%install
DESTDIR="%{buildroot}" \
MANDIR="%{_mandir}" \
ETCDIR="%{_sysconfdir}" \
BINDIR="%{_bindir}" \
DATADIR="%{_datadir}" \
./install.sh 

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo DiscBurning

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc LICENSE ChangeLog
%config(noreplace) %{_sysconfdir}/burncdda.conf
%{_bindir}/burncdda
%{_datadir}/burncdda
%doc %{_mandir}/man1/burncdda.1%{ext_man}
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Dec 26 2014 obs@botter.cc
- Require /usr/bin/cdrecord instead of just cdrecord [PM-119]
* Wed Nov 13 2013 obs@botter.cc
- Buildrequire cdrkit-cdrtools-compat instead of cdrecord for > 1230
* Tue May 17 2011 pascal.bleser@opensuse.org
- initial version (1.8.3)
